<script>
    import { supabase } from "$lib/supabaseClient";
	import Forma from "../Forma.svelte";

    let err;
    let signup = async (info)=>{
        let {data,error} = await supabase.auth.signUp(info.detail).then((v)=>{console.log(v);return v})
        err = error;
    }
    let pergugla = ()=>{
        supabase.auth.signInWithOAuth({
            provider: 'google',
            options: {
                queryParams: {
                access_type: 'offline',
                prompt: 'consent',
                },
            },
        })
    }

</script>

<Forma text="Registruotis" on:forma="{signup}">
    <button class="mt-6 rounded-md bg-slate-100 hover:bg-slate-300 text-gray-900 p-3 w-full" on:click={pergugla}>Per Gugla</button>
</Forma>

{#if err}
<p class="text-green">{err.message}</p>
{/if}